libzypp 17.37.10

LookupAttr.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-core/Globals.h>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/SolvAttr.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::LookupAttr
| Lightweight attribute value lookup. More...
class | zypp::sat::LookupRepoAttr
| Lightweight repository attribute value lookup. More...
class | zypp::sat::detail::DIWrap
| Wrapper around sat `detail::CDataiterator`. More...
class | zypp::sat::LookupAttr::iterator
| Result iterator. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
namespace | zypp::sat::detail

## Functions
Helpers and forward declarations from LookupAttrTools.h
template<>
std::string | zypp::sat::LookupAttr::iterator::asType< std::string > () const